/***************************************************/
//HALL schakeling 22
//zowel switch als voor lineair
/***************************************************/ 
const int hallPin = 12;     // hall effect sensor pin
const int ledPin =  13;     // LED pin
// variables will change:
int hallState = 0;          // variabele om status hall sensor te lezen

void setup() {
  //pin als een output:
  pinMode(ledPin, OUTPUT);      
  // initialiseer de hall effect sensor pin als een input:
  pinMode(hallPin, INPUT);     
}

void loop(){
  // lees de status van de hall effect sensor:
  hallState = digitalRead(hallPin);

  if (hallState == LOW) {     
    // turn LED on:    
    digitalWrite(ledPin, HIGH);  
  } 
  else {
    // turn LED off:
    digitalWrite(ledPin, LOW); 
  }
}
